timer( 150, "player_get_data", "", 0)	
function player_get_data()
	if onlyforadmins == false then
		reqcld( 0, 2)
	elseif onlyforadmins == true then
		local id
		for _, id in ipairs( player( 0, "table")) do
			local adm
			for _, adm in ipairs( ADMINS) do
				if player( id, "usgn") == adm then
					reqcld( id, 2)
					break
				end
			end
		end
	end
end

addhook( "clientdata", "player_client_data")
function player_client_data( id, mode, x, y)
	if player( id, "exists") and DRAW[ id].bmod == true then
		if ( mode == 2) then
			if player( id, "bot") == false then
				if player( id, "health") > 0 then
					local tx, ty = math.floor( x/32), math.floor( y/32)
					imagepos( DRAW[ id].img, tx*32+16, ty*32+16, 0)
					imagecolor( DRAW[ id].img, 255, 0, 0)
					if DRAW[ id].tp == 1 then
						parse( 'setpos '.. id ..' '.. tx*32+16 ..' '.. ty*32+16)
						DRAW[ id].tp = 0
					end
					if DRAW[ id].clean == 1 then
						local radius = tonumber( string.sub( DRAW[ id].brush, 1, 1))
						local clearpos = function( x, y)
							local iid
							for _, iid in ipairs( item( 0, "table")) do
								if item( iid, "x") == x and item( iid, "y") == y then
									parse( 'removeitem '..iid)
								end
							end
						end
						parse( 'explosion '.. tx*32+16 ..' '.. ty*32+16 ..' '.. radius*32 ..' '.. 5000 ..' 0')
						DRAW[ id].clean = 0
						if DRAW[ id].brush == "1x1" then
							clearpos( tx, ty)
						elseif DRAW[ id].brush == "3x3cross" then
							clearpos( tx, ty)
							clearpos( tx, ty-1)
							clearpos( tx, ty+1)
							clearpos( tx-1, ty)
							clearpos( tx+1, ty)
						elseif DRAW[ id].brush == "3x3" then
							local bx, by
							for bx = -1, 1 do
								for by = -1, 1 do
									clearpos( tx+bx, ty+by)
								end
							end
						elseif DRAW[ id].brush == "5x5" then
							local bx, by
							for bx = -2, 2 do
								for by = -2, 2 do
									clearpos( tx+bx, ty+by)
								end
							end
						elseif DRAW[ id].brush == "7x7" then
							local bx, by
							for bx = -3, 3 do
								for by = -3, 3 do
									clearpos( tx+bx, ty+by)
								end
							end
						end
					end
					if tile( tx, ty, "walkable") or tile( tx, ty, "deadly") then
						imagecolor( DRAW[ id].img, 0, 255, 0)
					end
					if DRAW[ id].status == 1 then
						local build = function( id, tx, ty)
							if tile( tx, ty, "walkable") or tile( tx, ty, "deadly") then
								if DRAW[ id].btype == "Building" then
									parse( 'spawnobject '.. DRAW[ id].building ..' '.. tx ..' '.. ty ..' 0 0 '.. DRAW[ id].color ..' '.. id)
								elseif DRAW[ id].btype == "Item" then
									parse( 'spawnitem '.. DRAW[ id].bitem ..' '.. tx ..' '..ty)
								elseif DRAW[ id].btype == "NPC" then
									parse( 'spawnnpc '.. DRAW[ id].npc ..' '.. tx ..' '..ty..' '..math.random( 1, 360))
								end
							end
						end
						if DRAW[ id].brush == "1x1" then
							build( id, tx, ty)
						elseif DRAW[ id].brush == "3x3cross" then
							build( id, tx, ty)
							build( id, tx-1, ty)
							build( id, tx+1, ty)
							build( id, tx, ty-1)
							build( id, tx, ty+1)
						elseif DRAW[ id].brush == "3x3" then
							local bx, by
							for bx = -1, 1 do
								for by = -1, 1 do
									build( id, tx+bx, ty+by)
								end
							end
						elseif DRAW[ id].brush == "5x5" then
							local bx, by
							for bx = -2, 2 do
								for by = -2, 2 do
									build( id, tx+bx, ty+by)
								end
							end
						elseif DRAW[ id].brush == "7x7" then
							local bx, by
							for bx = -3, 3 do
								for by = -3, 3 do
									build( id, tx+bx, ty+by)
								end
							end
						end
					end
				end
			end
		end
	end
end