function npc_name( id)
	local c = ""
	if id == 1 then c = "Zombie" end
	if id == 2 then c = "Head Crab" end
	if id == 3 then c = "Snark" end
	if id == 4 then c = "Vortigaunt" end
	if id == 5 then c = "Solider" end
	return c
end

function building_name( id)
	local name = ""
	if id == 1 then name = "Barricade" end
	if id == 2 then name = "Barbed wire" end
	if id == 3 then name = "Wall I" end
	if id == 4 then name = "Wall II" end
	if id == 5 then name = "Wall III" end
	if id == 6 then name = "Gate field" end
	if id == 7 then name = "Dispenser" end
	return name
end

function color_name( color)
	local colorv
	if color == 0 then colorv = "Yellow" end
	if color == 1 then colorv = "Red" end
	if color == 2 then colorv = "Blue" end
	if color == 3 then colorv = "White" end
	return colorv
end

function tool_name( id)
	local tooln = ""
	if id == 1 then tooln = "Teleport" end
	if id == 2 then tooln = "Clean" end
	return tooln
end

function art_hud( id, reset)
	reset = reset or false
	if reset == false then
		if DRAW[ id].btype == "Building" then
			local cv, c
			c = DRAW[ id].color
			if c == 0 then cv = "255255000" end
			if c == 1 then cv = "255000000" end
			if c == 2 then cv = "000000255" end
			if c == 3 then cv = "255255255" end
			parse( 'hudtxt2 '.. id ..' 1 "'..cv..'Building : '..building_name( DRAW[ id].building)..'" 500 345 0')
		elseif DRAW[ id].btype == "Item" then
			parse( 'hudtxt2 '.. id ..' 1 "255255255Item : '..itemtype( DRAW[ id].bitem, "name")..'" 500 345 0')
		elseif DRAW[ id].btype == "NPC" then
			parse( 'hudtxt2 '.. id ..' 1 "255255255NPC : '..npc_name( DRAW[ id].npc)..'" 500 345 0')
		end
		if DRAW[ id].status == 0 then
			parse( 'hudtxt2 '.. id ..' 2 "255000000Build : OFF" 500 360 0')
		elseif DRAW[ id].status == 1 then
			parse( 'hudtxt2 '.. id ..' 2 "000255000Build : ON" 500 360 0')
		end
		parse( 'hudtxt2 '.. id ..' 3 "255255255Brush : '..DRAW[ id].brush..'" 500 375 0')
	elseif reset == true then
		parse( 'hudtxt2 '.. id ..' 1 "" 0 0 0')
		parse( 'hudtxt2 '.. id ..' 2 "" 0 0 0')
		parse( 'hudtxt2 '.. id ..' 3 "" 0 0 0')
	end
end