function main_menu( id)
	local colorv = color_name( DRAW[ id].color)
	menu( id, "Draw Art Main Menu,Color|"..colorv..",Building|"..building_name( DRAW[ id].building)..",Brush|"..DRAW[ id].brush..",Item|"..itemtype( DRAW[ id].bitem, "name")..",Draw Type|"..DRAW[ id].btype..",NPC|"..npc_name( DRAW[ id].npc)..",Tool|"..tool_name( DRAW[ id].tool)..",,Mod|"..tostring( DRAW[ id].bmod))
end

function color_menu( id)
	local colorv = color_name( DRAW[ id].color)
	menu( id, "Draw Art Color Menu,Yellow,Red,Blue,White,,,Current : "..colorv..",,Back")
end

function building_menu( id)
	menu( id, "Draw Art Building Menu,Barricade,Barbed Wire,Wall I,Wall II,Wall III,Gatefield,Dispenser,,Back")
end

function brush_menu( id)
	menu( id, "Draw Art Brush Menu,1x1,3x3cross,3x3,5x5,7x7,,Current : "..DRAW[ id].brush..",,Back")
end

function btype_menu( id)
	menu( id, "Draw Art Building Type Menu,Building,Item,NPC,,,,Current : "..DRAW[ id].btype..",,Back")
end

function npc_menu( id)
	menu( id, "Draw Art NPC Menu,Zombie,Head Crab,Snark,Vortigaunt,Solider,,Current : "..npc_name( DRAW[ id].npc)..",,Back")
end

function tool_menu( id)
	menu( id, "Draw Art Tool Menu,Teleport,Clean,,,,,Current : "..tool_name( DRAW[ id].tool)..",,Back")
end

addhook( "menu", "player_menu")
function player_menu( id, t, b)
	if t == "Draw Art Main Menu" then
		if b == 1 then
			color_menu( id)
		elseif b == 2 then
			building_menu( id)
		elseif b == 3 then
			brush_menu( id)
		elseif b == 4 then
			msg2( id, "255255000Use command !i [id] to change item")
		elseif b == 5 then
			btype_menu( id)
		elseif b == 6 then
			npc_menu( id)
		elseif b == 7 then
			tool_menu( id)
		elseif b == 9 then
			if DRAW[ id].bmod == true then
				DRAW[ id].bmod = false
				freeimage( DRAW[ id].img)
			elseif DRAW[ id].bmod == false then
				DRAW[ id].bmod = true
				DRAW[ id].img = image( "gfx/hud_buildhelper.png", player( id, "x"), player( id, "y"), 3, id)
				imagealpha( DRAW[ id].img, 0.5)
			end
			main_menu( id)
		end
	elseif t == "Draw Art Color Menu" then
		if b == 1 then
			DRAW[ id].color = 0
			color_menu( id)
		elseif b == 2 then
			DRAW[ id].color = 1
			color_menu( id)
		elseif b == 3 then
			DRAW[ id].color = 2
			color_menu( id)
		elseif b == 4 then
			DRAW[ id].color = 3
			color_menu( id)
		elseif b == 9 then
			main_menu( id)
		end
	elseif t == "Draw Art Building Menu" then
		local i
		for i = 1, 7 do
			if b == i then
				DRAW[ id].building = i
				building_menu( id)
				break
			end
		end
		if b == 9 then
			main_menu( id)
		end
	elseif t == "Draw Art Brush Menu" then
		if b == 1 then
			DRAW[ id].brush = "1x1"
			brush_menu( id)
		elseif b == 2 then
			DRAW[ id].brush = "3x3cross"
			brush_menu( id)
		elseif b == 3 then
			DRAW[ id].brush = "3x3"
			brush_menu( id)
		elseif b == 4 then
			DRAW[ id].brush = "5x5"
			brush_menu( id)
		elseif b == 5 then
			DRAW[ id].brush = "7x7"
			brush_menu( id)
		elseif b == 9 then
			main_menu( id)
		end
	elseif t == "Draw Art Building Type Menu" then
		if b == 1 then
			DRAW[ id].btype = "Building"
			btype_menu( id)
		elseif b == 2 then
			DRAW[ id].btype = "Item"
			btype_menu( id)
		elseif b == 3 then
			DRAW[ id].btype = "NPC"
			btype_menu( id)
		elseif b == 9 then
			main_menu( id)
		end
	elseif t == "Draw Art NPC Menu" then
		local i
		for i = 1, 5 do
			if b == i then
				DRAW[ id].npc = i
				npc_menu( id)
				break
			end
		end
		if b == 9 then
			main_menu( id)
		end
	elseif t == "Draw Art Tool Menu" then
		local i
		for i = 1, 2 do
			if b == i then
				DRAW[ id].tool = i
				tool_menu( id)
				break
			end
		end
		if b == 9 then
			main_menu( id)
		end
	end
	art_hud( id)
end